# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`resource_api`](#resource_api): This class calls the resource_api::install class.
* [`resource_api::agent`](#resource_apiagent): This class installs the Resource API gem into puppet agent
* [`resource_api::install`](#resource_apiinstall): This class installs dependencies of the Resource API
into the puppet agent, and/or the puppetserver service.
* [`resource_api::install::agent`](#resource_apiinstallagent): This class installs the Resource API gem into puppet agent
* [`resource_api::install::master`](#resource_apiinstallmaster): This class installs the Resource API gem into puppetserver,
and restarts the puppetserver service to activate.
* [`resource_api::server`](#resource_apiserver): This class installs the Resource API gem into puppetserver,
and restarts the puppetserver service to activate.

## Classes

### resource_api

This class calls the resource_api::install class.

#### Examples

##### Declaring the class

```puppet
include resource_api
```

### resource_api::agent

This class installs the Resource API gem into puppet agent

* **Note** Deprecated, use resource_api::install::agent

#### Examples

##### Declaring the class

```puppet
include resource_api::agent
```

#### Parameters

The following parameters are available in the `resource_api::agent` class.

##### `api_version`

Data type: `String`

A specific release version of Resource API to install

Default value: 'latest'

### resource_api::install

This class installs dependencies of the Resource API
into the puppet agent, and/or the puppetserver service.

#### Examples

##### Declaring the class

```puppet
include resource_api::install
```

### resource_api::install::agent

This class installs the Resource API gem into puppet agent

#### Examples

##### Declaring the class

```puppet
include resource_api::install::agent
```

#### Parameters

The following parameters are available in the `resource_api::install::agent` class.

##### `api_version`

Data type: `String`

A specific release version of Resource API to install

Default value: 'latest'

### resource_api::install::master

This class installs the Resource API gem into puppetserver,
and restarts the puppetserver service to activate.

#### Examples

##### Declaring the class

```puppet
include resource_api::install::master
```

#### Parameters

The following parameters are available in the `resource_api::install::master` class.

##### `api_version`

Data type: `String`

A specific release version of Resource API to install

Default value: 'latest'

##### `puppetserver_service`

Data type: `Type[Resource]`

The name of the puppetserver service to restart

Default value: $facts['pe_server_version']

### resource_api::server

This class installs the Resource API gem into puppetserver,
and restarts the puppetserver service to activate.

* **Note** Deprecated, use resource_api::install::server

#### Examples

##### Declaring the class

```puppet
include resource_api::server
```

#### Parameters

The following parameters are available in the `resource_api::server` class.

##### `api_version`

Data type: `String`

A specific release version of Resource API to install

Default value: 'latest'

##### `puppetserver_service`

Data type: `Type[Resource]`

The name of the puppetserver service to reboot

Default value: $facts['pe_server_version']

